Support » Plugin: WooCommerce Multilingual - run WooCommerce with WPML » WPML is not translating english and arabic

  • Resolved digitalnauras

    (@digitalnauras)


    WPML Update is Incomplete
    You are running updated woocommerce-multilingual and wpml-media-translation, but the following components are not updated:

    sitepress-multilingual-cms
    wpml-string-translation
    wpml-translation-management
    Your site will not work as it should in this configuration Please update all components which you are using. For WPML components you can receive updates from your WPML.org account or automatically after you register WPML.

    The page I need help with: [log in to see the link]

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Author strategio

    (@strategio)

    Hello @digitalnauras,

    If you run the lastest version of Woocommerce Multilingual (4.10.3), you will also require the following WPML versions (or greater):
    – sitepress-multilingual-cms: 4.3.16
    – wpml-string-translation: 3.0.7,
    – wpml-translation-management: 2.9.5,

    Thanks,
    Pierre

    • This reply was modified 2 months, 1 week ago by strategio.

    Hello strategio (@strategio), so what you are saying my WPML will work again and translate again English and Arabic if I update the woocommerce multilingual? if you check my website you will see even the flags are not showing!!! in my dashboard, its said: WooCommerce Multilingual
    You have version 4.6.7 installed. Update to 4.10.3. View version 4.10.3 details.
    Compatibility with WordPress 5.4.2: 100% (according to its author)
    Compatibility with WordPress 5.5.1: 100% (according to its author)

    in addition to the above, kindly note the below:
    WooCommerce Multilingual

    Version 4.6.7 | By OnTheGoSystems | View details
    Select WPML Media
    WPML Media

    Version 2.5.2 | By OnTheGoSystems | Visit plugin site
    Select WPML Multilingual CMS
    WPML Multilingual CMS

    Version 4.2.6 | By OnTheGoSystems | Visit plugin site
    Select WPML String Translation
    WPML String Translation

    Version 2.10.4 | By OnTheGoSystems | Visit plugin site
    Select WPML Translation Management
    WPML Translation Management

    Version 2.8.5 | By OnTheGoSystems | Visit plugin site

    I tried to run the latest version of Woocommerce Multilingual (4.10.3), WooCommerce Multilingual cannot update because your site’s registration is not valid. Please register WPML again for this site first.

    Plugin Author strategio

    (@strategio)

    Hi @digitalnauras,

    Sorry I was mistaken because I though the problem occurred after updating WooCommerce Multilingual. If this is not the case, I don’t know why it happened…

    Now if you update WooCommerce Multilingual, you will have to also update all WPML plugins (Media translation, String translation, Translation management). You can do this either automatically if you have a valid site registration (site key) or manually by downloading the plugins from your wpml.org account page.

    I cannot update WooCommerce multilingual: WooCommerce Multilingual cannot update because your site’s registration is not valid. Please register WPML again for this site first.
    and if my account with WPML is lost, what shall I do? I cannot register for free I think no? and sometimes its saying update undefined with a red warning. I don’t know what happened. actually, from one week I made the hosting migration to hostgator servers and this happens. I don’t know if it’s related to the servers. its extremely important to have the Arabic language here since we are in UAE, and now if you check the website you click Arabic and nothing happened.

    shall we user other plugins like translate press to have this translation to arabic enabled? my website is still not translating products, menus, variables attributes, everything…. why? because WooCommerce Multilingual is enabled but not effective. It requires WPML, WPML Translation Management and WPML String Translation in order to work. and im trying to downgrade in order for them to work buts its not working,. can someone please help or support me in this?

    Plugin Author strategio

    (@strategio)

    Hi @digitalnauras,

    If you have a WPML account, you can register your site to get automatic downloads or download it manually. You should be able to reset your password on https://wpml.org/account/.

    If you don’t want to update WPML plugins, you can downgrade WooCommerce Multilingual by getting and old version at the bottom of this page: https://wordpress.org/plugins/woocommerce-multilingual/advanced/

    Thanks,
    Pierre

    digitalnauras

    (@digitalnauras)

    GREAT! THANK YOU!

    digitalnauras

    (@digitalnauras)

    dear strategio (@strategio)
    following this link: https://wordpress.org/support/topic/how-to-restore-from-cpanel/
    do you know how we can restore deleted plugins from our CPANEL? I can see the WPML available on my cpanel, how can I restore it to my wp-admin backend? any clue?

    Plugin Support Izzi WPML

    (@izzih)

    Hi,

    We’re closing this topic due to inactivity. Please start a new one if you have any further questions or issues.

    For more effective support, please start a chat or open a ticket in our WPML Support Forums:
    https://wpml.org/forums/forum/english-support/
    https://wpml.org/ar/forums/forum/support-in-arabic/

    Thank you!

Viewing 11 replies - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.